gcr4 (4.4.0.1-7) unstable; urgency=medium

  * Team upload
  * d/tests/installed-tests: Run tests with a 1 minute timeout
    (Mitigates: #1112076)
  * d/tests/installed-tests: Don't suppress tests' output.
    If a test gets stuck, this gives us a better idea of how far it got
    and what might have gone wrong. (Helps: #1112076)
  * d/tests/installed-tests: Improve robustness by using `set -eu`
  * d/p/workarounds/test-ssh-agent-service-Don-t-run-this-test-by-default.patch:
    Skip a flaky test unless specifically requested
    (Mitigates: #1112659, Closes: #1112076)
  * d/p/workarounds/test-ssh-agent-process-Don-t-run-this-test-by-default.patch:
    Skip another apparently flaky test
    (Mitigates: #1112662)
  * d/p/workarounds/disable-test-which-segfaults.patch:
    Run the test if DEB_ALLOW_FLAKY_TESTS is in the environment
  * d/tests/control: Re-run the tests with flaky tests enabled.
    This will let us get an idea of how often they fail and whether they
    have been fixed.
  * d/tests/control: Give Test-Command-based tests a meaningful name
  * d/control: Remove Build-Depends-Indep on -doc packages.
    gtk-doc needed these for interlinking between packages' documentation,
    but gi-docgen handles that differently.
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/control: Remove obsolete Build-Depends on docbook-xml and xsltproc.
    These don't seem to be used for anything any more.
  * d/lib*-doc.links: Register API documentation with devhelp
  * d/lib*-doc.doc-base.*: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:19:02 +0100

gcr4 (4.4.0.1-6) unstable; urgency=medium

  * d/tests: Fixup installed-tests for different autopkgtest runners

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 25 Aug 2025 15:32:59 +0200

gcr4 (4.4.0.1-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:21:07 -0400

gcr4 (4.4.0.1-4) experimental; urgency=medium

  * Team upload
  * debian: Run upstream integration tests as autopkgtests
  * debian: Add proposed patch to ensure gcr4 is the default ssh-agent provider

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 27 Jul 2025 17:04:51 +0200

gcr4 (4.4.0.1-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Add patch to disable a test that segfaults on some systems
    (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 12 Apr 2025 11:55:19 -0400

gcr4 (4.4.0.1-2) unstable; urgency=medium

  * Opt into Salsa CI
  * Stop ignoring build test failures on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 17:31:31 -0400

gcr4 (4.4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 17:06:58 +0100

gcr4 (4.3.91-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:39:19 -0500

gcr4 (4.3.90.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * debian/libgcr-4-4.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:22:59 -0500

gcr4 (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 21:11:38 -0400

gcr4 (4.2.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev build-dependency.
    This is a step towards making cross-compiling possible.
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all relevant packages.
    This will let dependent packages like gnome-shell depend on the
    systematic gir1.2-*-dev names that represent the GIR XML.

  [ Jeremy Bícha ]
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 14:00:14 -0400

gcr4 (4.2.0-5) unstable; urgency=medium

  * debian/tests:
    - update the libgcr-4-dev test to not use a deprecated API
      and re-enable it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 16:50:15 +0200

gcr4 (4.2.0-4) unstable; urgency=medium

  * Add Build-Depends: systemd-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Mar 2024 12:12:35 -0400

gcr4 (4.2.0-3) unstable; urgency=medium

  * Have gcr4 install the gcr-ssh-agent service instead of gcr
  * Also install gcr-viewer4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:52:19 -0500

gcr4 (4.2.0-2) unstable; urgency=medium

  * Ignore build test failures on s390x (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:02:40 -0500

gcr4 (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Update
  * Stop using debian/control.in and dh_gnome_clean
  * Opt into Ubuntu language packs since this will eventually be in Ubuntu main
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 08:09:23 -0500

gcr4 (4.1.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2023 16:46:42 -0400

gcr4 (4.1.0-1) experimental; urgency=medium

  * Rename source package for new series since we'll need to keep the
    old series around for a while
  * New upstream release (Closes: #1023632)
  * Build with gtk4
  * Update binary package names & symbols files
  * Create a minimal gcr4 package that depends on the old gcr:
    we can keep using the old gcr binary package for now
  * debian/rules: Drop obsolete build option
  * debian/tests/control: Drop the gcr4 test until it can be rewritten

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 17:49:02 -0500

gcr (3.41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum meson to 0.52
  * Drop 2 patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 22:48:53 +0200

gcr (3.41.0-4) unstable; urgency=medium

  * Use dh-exec to install systemd user service on Linux only
  * Don't build ssh-agent on non-Linux since it requires libsecret

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 25 May 2022 09:09:52 -0400

gcr (3.41.0-2) unstable; urgency=medium

  * Add patch to start systemd service with graphical session

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:52:15 -0400

gcr (3.41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on openssh-client
  * Build new systemd ssh-agent user service
  * Add patch to fix a build issue without systemd
  * Drop test chain patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:17:10 -0400

gcr (3.40.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005545)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 16:18:13 -0400

gcr (3.40.0-3) unstable; urgency=medium

  * debian/patches: Fix random certificate chain test failure in some archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 02:08:30 +0200

gcr (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Clean up obsolete overrides
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 20:24:56 -0400

gcr (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement
  * debian/docs:
    - updated documentation files to include
  * debian/libgck-1-0.symbols:
    - updated the list of symbols for the new version
  * debian/rules:
    - remove autoreconf overwrite, not needed anymore
  * debian/patches/tests-collection-test-timeout.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 16:23:07 +0200

gcr (3.38.1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile.
    gpg is required at configure time, even if we will not run the tests.
    (Closes: #980830)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)
  * d/upstream/metadata: Add
  * Add Lintian overrides for #970275

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:36:13 +0000

gcr (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 17:26:53 +0100

gcr (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    - remove patch included in the new version
  * debian/rules:
    - Build without =-Wl,-Bsymbolic-functions, it breaks the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:20:23 +0200

gcr (3.36.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    Add patch to fix timestamp parsing, fixing intermittent test failures
    (Closes: #953981)
  * d/p/tests-collection-test-timeout.patch:
    Mark patch as forwarded upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2020 14:40:41 +0000

gcr (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies and switch to meson
    - Drop d/p/build-Use-sed-for-.desktop-variables-substitution.patch, not
      needed now that we switched to meson
    - debian/libgcr-base-3-1.symbols: Add newly exported symbols
  * Move gcr-prompter and gcr-ssh-askpass to /usr/libexec
  * debian/control.in: Mark the -doc packages as Build-Profiles: <!nodoc> and
    add libgtk-3-doc to the BDI
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Make autopkgtests cross-test-friendly, thanks to Steve Langasek (Closes:
    #946369)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 15:52:58 +0100

gcr (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except tests-collection-test-timeout.patch:
    - Applied in new release
  * Cherry-pick build-Use-sid-for-.desktop-variables-substition.patch:
    - Fix broken gcr-viewer.desktop (Closes: #941417, #942546)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome & dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 06:20:09 -0400

gcr (3.33.4-3) unstable; urgency=medium

  * Team upload
  * Tighten interdependencies between libraries to upgrade in lockstep.
    Nobody is going to test arbitrary combinations of binary packages from
    the same source, and there seems no benefit in upgrading on a finer
    granularity than per-source-package. (Related to #941076)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize order of dependency lists (wrap-and-sort -a)
  * d/tests: Add autopkgtest smoke-tests for the development libraries
  * d/p/configure-Use-PKG_PROG_PKG_CONFIG-instead-of-reinventing-.patch,
    d/p/configure-Run-PKG_CONFIG-instead-of-hard-coding-pkg-confi.patch:
    Use a cross-compilation-friendly mechanism to find pkg-config
  * d/p/: Update patch metadata
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Sep 2019 20:34:43 +0100

gcr (3.33.4-2) unstable; urgency=medium

  * Add patch to use python3 in render-icons.py (Closes: #939592)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 13:23:32 +0200

gcr (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - build-depends on gettext instead of intltool
  * debian/patches/egg-Write-Proc-Type-header-before-DEK-Info.patch,
    debian/patches/gck-mock-Also-store-objects-in-the-order-they-are-taken.patch:
    - removed, included in the new version
  * debian/patches/git_sks_server.patch:
    - remove SKS from the default keyserver, they were victim of a poisoned
      certificates attack and are not safe to use

  [ Simon McVittie ]
  * d/p/Replace-tap-gtester-with-one-that-relies-on-GLib-2.38-TAP.patch:
    - resolves build-time test failures when built with GLib 2.61+
      (Closes: #940172)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Aug 2019 20:57:35 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgck-2-2`.
